<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: UART</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('db/def/group__uart.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">UART<div class="ingroups"><a class="el" href="../../de/d8b/group__platform.html">Platform Abstraction</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This module includes the platform abstraction for UART communication.  
<a href="#details">More...</a></p>
<div class="dynheader">
Collaboration diagram for UART:</div>
<div class="dyncontent">
<center><table><tr><td><img src="../../db/def/group__uart.png" border="0" alt="" usemap="#db_2def_2group____uart"/>
<map name="db_2def_2group____uart" id="db_2def_2group____uart">
<area shape="rect" id="node2" href="../../de/d8b/group__platform.html" title="This module includes the platform abstraction used by the OpenThread stack. " alt="" coords="5,5,146,31"/>
</map>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaf0428e2db563f7eff99e95e023bbad9b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/def/group__uart.html#gaf0428e2db563f7eff99e95e023bbad9b">otPlatUartEnable</a> (void)</td></tr>
<tr class="memdesc:gaf0428e2db563f7eff99e95e023bbad9b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable the UART.  <a href="#gaf0428e2db563f7eff99e95e023bbad9b">More...</a><br /></td></tr>
<tr class="separator:gaf0428e2db563f7eff99e95e023bbad9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaca043d018d46dbd87e90666be8ea984a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/def/group__uart.html#gaca043d018d46dbd87e90666be8ea984a">otPlatUartDisable</a> (void)</td></tr>
<tr class="memdesc:gaca043d018d46dbd87e90666be8ea984a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable the UART.  <a href="#gaca043d018d46dbd87e90666be8ea984a">More...</a><br /></td></tr>
<tr class="separator:gaca043d018d46dbd87e90666be8ea984a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad58e7a5af0edc4e5d6dca23839f0235e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/def/group__uart.html#gad58e7a5af0edc4e5d6dca23839f0235e">otPlatUartSend</a> (const uint8_t *aBuf, uint16_t aBufLength)</td></tr>
<tr class="memdesc:gad58e7a5af0edc4e5d6dca23839f0235e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send bytes over the UART.  <a href="#gad58e7a5af0edc4e5d6dca23839f0235e">More...</a><br /></td></tr>
<tr class="separator:gad58e7a5af0edc4e5d6dca23839f0235e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab2950583380bb90a3779f980c28fbaa0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gab2950583380bb90a3779f980c28fbaa0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/def/group__uart.html#gab2950583380bb90a3779f980c28fbaa0">otPlatUartSendDone</a> (void)</td></tr>
<tr class="memdesc:gab2950583380bb90a3779f980c28fbaa0"><td class="mdescLeft">&#160;</td><td class="mdescRight">The UART driver calls this method to notify OpenThread that the requested bytes have been sent. <br /></td></tr>
<tr class="separator:gab2950583380bb90a3779f980c28fbaa0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2aec94bad212a6bd72bc82fe310eaca2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/def/group__uart.html#ga2aec94bad212a6bd72bc82fe310eaca2">otPlatUartReceived</a> (const uint8_t *aBuf, uint16_t aBufLength)</td></tr>
<tr class="memdesc:ga2aec94bad212a6bd72bc82fe310eaca2"><td class="mdescLeft">&#160;</td><td class="mdescRight">The UART driver calls this method to notify OpenThread that bytes have been received.  <a href="#ga2aec94bad212a6bd72bc82fe310eaca2">More...</a><br /></td></tr>
<tr class="separator:ga2aec94bad212a6bd72bc82fe310eaca2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>This module includes the platform abstraction for UART communication. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="gaca043d018d46dbd87e90666be8ea984a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otPlatUartDisable </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable the UART. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">::kThreadError_None</td><td>Successfully disabled the UART. </td></tr>
    <tr><td class="paramname">::kThreadError_Failed</td><td>Failed to disable the UART. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaf0428e2db563f7eff99e95e023bbad9b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otPlatUartEnable </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable the UART. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">::kThreadError_None</td><td>Successfully enabled the UART. </td></tr>
    <tr><td class="paramname">::kThreadError_Failed</td><td>Failed to enabled the UART. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga2aec94bad212a6bd72bc82fe310eaca2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void otPlatUartReceived </td>
          <td>(</td>
          <td class="paramtype">const uint8_t *&#160;</td>
          <td class="paramname"><em>aBuf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aBufLength</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The UART driver calls this method to notify OpenThread that bytes have been received. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aBuf</td><td>A pointer to the received bytes. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aBufLength</td><td>The number of bytes received. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/def/group__uart_ga2aec94bad212a6bd72bc82fe310eaca2_cgraph.png" border="0" usemap="#db/def/group__uart_ga2aec94bad212a6bd72bc82fe310eaca2_cgraph" alt=""/></div>
<map name="db/def/group__uart_ga2aec94bad212a6bd72bc82fe310eaca2_cgraph" id="db/def/group__uart_ga2aec94bad212a6bd72bc82fe310eaca2_cgraph">
<area shape="rect" id="node2" href="../../d1/d15/classThread_1_1Cli_1_1Uart.html#a2ae3cc7868fb9cdbd0871ab66e2da8cd" title="This method delivers raw characters to the client. " alt="" coords="204,496,331,534"/>
<area shape="rect" id="node3" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#ac3a6d19e1230529b3970e31ca7324373" title="This method interprets a CLI command. " alt="" coords="190,558,345,597"/>
<area shape="rect" id="node4" href="../../d4/d5c/classThread_1_1Cli_1_1Server.html#a6918e15cdf1736faa7267acef183de74" title="This method delivers formatted output to the client. " alt="" coords="409,404,543,442"/>
<area shape="rect" id="node5" href="../../df/d4f/group__config-general.html#gab62f7686b9c065cfb269c603155b0b66" title="Update all automatically created IPv6 addresses for prefixes from current Network Data with SLAAC pro..." alt="" coords="422,466,530,492"/>
<area shape="rect" id="node6" href="../../df/d4f/group__config-general.html#ga5765a8abaaa91408d717814bcb853919" title="Create random IID for given IPv6 address. " alt="" coords="407,516,544,541"/>
<area shape="rect" id="node7" href="../../dd/d45/openthread_8h.html#a99a9a16995c031b1a4be608b10cceb01" title="Convert a human&#45;readable IPv6 address string into a binary representation. " alt="" coords="393,565,559,590"/>
<area shape="rect" id="node8" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#ab1da78e1c424f644d017962d4ccc4654" title="This method parses an ASCII string as a long. " alt="" coords="398,614,554,653"/>
<area shape="rect" id="node9" href="../../d2/d11/group__udp.html#ga4198c5e5356efec22801439076076a9f" title="Send a Network Diagnostic Get request. " alt="" coords="402,726,550,752"/>
<area shape="rect" id="node49" href="../../d2/d11/group__udp.html#ga6f3d90ff7fcd39b3767b1ebc8eb58e1a" title="Send a Network Diagnostic Reset request. " alt="" coords="396,677,556,702"/>
<area shape="rect" id="node10" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a51609995a6e04a1aac273e430af4f53f" title="This method returns a pointer to the network diagnostic object. " alt="" coords="664,694,825,733"/>
<area shape="rect" id="node11" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#abc624ac04ecaf17b1b738a475e5b0d6a" title="This method sends Diagnostic Get request. " alt="" coords="614,782,876,821"/>
<area shape="rect" id="node12" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#aaa9112c22813ceb55338050f0365c598" title="This method opens the UDP socket. " alt="" coords="941,782,1103,821"/>
<area shape="rect" id="node13" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#aa07479b557c551452986ff7a0ce20773" title="This method binds the UDP socket. " alt="" coords="941,120,1103,158"/>
<area shape="rect" id="node14" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#aafb4481c92d1f8515e51cfa822a1bde1" title="This method returns a new UDP message with sufficient header space reserved. " alt="" coords="941,245,1103,284"/>
<area shape="rect" id="node15" href="../../dd/d10/group__random.html#gaa20820ca4e6e1ce8cd47ded9762b14ca" title="Get a 32&#45;bit random value. " alt="" coords="958,370,1085,396"/>
<area shape="rect" id="node16" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad221953768fdb61bd62fa1bc3ffd4c89" title="This method initializes the CoAP header. " alt="" coords="945,182,1099,221"/>
<area shape="rect" id="node18" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad4147a19a4e8861f321c8aaaa5db6baa" title="This method sets the Type value. " alt="" coords="945,420,1099,458"/>
<area shape="rect" id="node19" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a0a2c1cf0ff97aab363e71f716254a736" title="This method sets the Code value. " alt="" coords="945,482,1099,521"/>
<area shape="rect" id="node20" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a7a374b4bd31694216d9397e1409209a0" title="This method sets the Message ID value. " alt="" coords="945,545,1099,584"/>
<area shape="rect" id="node21" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a9d8d2a7b438e4a7d27ce3b979b0bb2a0" title="This method sets the Token value and length. " alt="" coords="945,670,1099,709"/>
<area shape="rect" id="node22" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a1df234ef27c9000081fbbe24e7c97dd6" title="This method appends a Uri&#45;Path option. " alt="" coords="939,308,1104,346"/>
<area shape="rect" id="node24" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#aecbcbb8b836e0283559b89bd64fbc47f" title="This method terminates the CoAP header. " alt="" coords="945,845,1099,884"/>
<area shape="rect" id="node25" href="../../dc/d3c/classThread_1_1Message.html#a3c3d1c48e940f2553586d16e1618277d" title="This method appends bytes to the end of the message. " alt="" coords="933,908,1111,933"/>
<area shape="rect" id="node26" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a5259ece3cbe8e332599f7de4c488ad32" title="This method returns a pointer to the first byte of the header. " alt="" coords="945,957,1099,996"/>
<area shape="rect" id="node27" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ae1679d627108d5381dc1ae45d2254299" title="This method returns the header length in bytes. " alt="" coords="945,1020,1099,1058"/>
<area shape="rect" id="node28" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a794b87e17aa877f3551c00aa8c892072" title="This method returns a reference to the peer socket address. " alt="" coords="935,1082,1108,1121"/>
<area shape="rect" id="node29" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a97e94677a677f600a227dd970f4a02e8" title="This method returns a reference to the local socket address. " alt="" coords="1172,916,1345,954"/>
<area shape="rect" id="node30" href="../../df/d94/group__core-mle-core.html#gae4cc6a5939309cfc729293345142a15a" title="This method returns a pointer to the RLOC assigned to the Thread interface. " alt="" coords="930,608,1113,646"/>
<area shape="rect" id="node32" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a6c8c4f1757a98e7a45197c97da1ec8b8" title="This method returns the network interface identifier. " alt="" coords="960,57,1084,96"/>
<area shape="rect" id="node33" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#ac4fb0ea0ae514fa0edfeaa91dfbdabca" title="This method sends a UDP message. " alt="" coords="941,1197,1103,1236"/>
<area shape="rect" id="node42" href="../../dc/d3c/classThread_1_1Message.html#adc9d723284f5807d9c272ab89bc52b45" title="This method frees this message buffer. " alt="" coords="942,733,1102,758"/>
<area shape="rect" id="node43" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a134a9321fd50bc3cc6c2e7a8d313ed23" title="This method parses the CoAP header from a message. " alt="" coords="945,1322,1099,1361"/>
<area shape="rect" id="node44" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a552cf5eab882b244b178b8093e8a18e9" title="This method returns the Token length. " alt="" coords="1182,1533,1336,1572"/>
<area shape="rect" id="node45" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a0d72d5dcded14ce9da3678a456cb70a8" title="This method returns the Type value. " alt="" coords="945,1385,1099,1424"/>
<area shape="rect" id="node46" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a08454fc48790efe33c95be2311e1e6d1" title="This method returns the Code value. " alt="" coords="945,1448,1099,1486"/>
<area shape="rect" id="node47" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad45e8b7c304fce8c896ef531be34e9d6" title="This method returns the Message ID value. " alt="" coords="945,1510,1099,1549"/>
<area shape="rect" id="node48" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad51db46720122c64e67143e10eaf3820" title="This method returns a pointer to the Token value. " alt="" coords="945,1260,1099,1298"/>
<area shape="rect" id="node17" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a411c64839fe9cf63ac201f9a6760199c" title="This method sets the Version value. " alt="" coords="1182,182,1336,221"/>
<area shape="rect" id="node23" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ac047d4a2285b8315c1f11d66c04994a4" title="This method appends a CoAP option. " alt="" coords="1182,308,1336,346"/>
<area shape="rect" id="node31" href="../../d9/d13/classThread_1_1Ip6_1_1NetifUnicastAddress.html#a2bb426bd29e271bd1fc09b61d1044911" title="This method returns the unicast address. " alt="" coords="1174,608,1343,646"/>
<area shape="rect" id="node34" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a51cfd76548da9f661a0d7a47a8d5e813" title="This method indicates whether or not the IPv6 address is the Unspecified Address. ..." alt="" coords="1186,1041,1332,1080"/>
<area shape="rect" id="node35" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#a4c3b5b3798c5a209d94f145dd9f08424" title="This method returns the local socket address. " alt="" coords="1178,1104,1340,1142"/>
<area shape="rect" id="node36" href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html#a9f92ec4fbccf1d095aa8a43dd882dd2f" title="This method returns a reference to the IPv6 address. " alt="" coords="1181,1166,1336,1205"/>
<area shape="rect" id="node37" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#a3e48adfe7fb163bd8dd6e6f26cb5dda4" title="This method sets the UDP Source Port. " alt="" coords="1176,1229,1341,1268"/>
<area shape="rect" id="node38" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#aa6b4ee310b27450ea21696b8a1ab9e36" title="This method sets the UDP Destination Port. " alt="" coords="1176,1292,1341,1330"/>
<area shape="rect" id="node39" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#a232ac624d1b666065516cd2b7dc5f729" title="This method sets the UDP Length. " alt="" coords="1176,1354,1341,1393"/>
<area shape="rect" id="node40" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="1161,1417,1356,1442"/>
<area shape="rect" id="node41" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#ada31b17064f026a602cac8ce755cffcf" title="This method sets the UDP Checksum. " alt="" coords="1176,978,1341,1017"/>
<area shape="rect" id="node50" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#a0777620633e36db7a9bafe8654019d92" title="This method sends Diagnostic Reset request. " alt="" coords="607,608,882,646"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="gad58e7a5af0edc4e5d6dca23839f0235e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otPlatUartSend </td>
          <td>(</td>
          <td class="paramtype">const uint8_t *&#160;</td>
          <td class="paramname"><em>aBuf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aBufLength</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Send bytes over the UART. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aBuf</td><td>A pointer to the data buffer. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aBufLength</td><td>Number of bytes to transmit.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">::kThreadError_None</td><td>Successfully started transmission. </td></tr>
    <tr><td class="paramname">::kThreadError_Failed</td><td>Failed to start the transmission. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/def/group__uart_gad58e7a5af0edc4e5d6dca23839f0235e_icgraph.png" border="0" usemap="#db/def/group__uart_gad58e7a5af0edc4e5d6dca23839f0235e_icgraph" alt=""/></div>
<map name="db/def/group__uart_gad58e7a5af0edc4e5d6dca23839f0235e_icgraph" id="db/def/group__uart_gad58e7a5af0edc4e5d6dca23839f0235e_icgraph">
<area shape="rect" id="node2" href="../../d1/d15/classThread_1_1Cli_1_1Uart.html#aa44a5954b16d6f958825966a78e166de" title="This method delivers formatted output to the client. " alt="" coords="195,5,321,44"/>
<area shape="rect" id="node3" href="../../dc/d60/classThread_1_1NcpUart.html#a8398d715de6960bf6257d93ac81dfa3a" title="This method finalizes and sends the current outbound frame. " alt="" coords="165,68,351,107"/>
</map>
</div>
</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
